Package org.apache.commons.math3.ml.neuralnet.twod.util

# Class UnifiedDistanceMatrix

java.lang.Object
org.apache.commons.math3.ml.neuralnet.twod.util.UnifiedDistanceMatrix

All Implemented Interfaces:
  `MapVisualization`

public class UnifiedDistanceMatrix extends Object implements MapVisualization
U-Matrix visualization of high-dimensional data projection.

Since:
  3.6

## Constructor Summary

Constructors
Constructor
Description
`UnifiedDistanceMatrix(boolean individualDistances, DistanceMeasure distance)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`double[][]`
`computeImage(NeuronSquareMesh2D map)`
Creates an image of the `map`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnifiedDistanceMatrix

public UnifiedDistanceMatrix(boolean individualDistances, DistanceMeasure distance)
Simple constructor.

Parameters:
  `individualDistances` - If `true`, the 8 individual inter-units distances will be `computed`. They will be stored in additional pixels around each of the original units of the 2D-map. The additional pixels that lie along a "diagonal" are shared by two pairs of units: their value will be set to the average distance between the units belonging to each of the pairs. The value zero will be stored in the pixel corresponding to the location of a unit of the 2D-map.
  If `false`, only the average distance between a unit and all its neighbours will be computed (and stored in the pixel corresponding to that unit of the 2D-map). In that case, the number of neighbours taken into account depends on the network's `neighbourhood type`.
  `distance` - Distance.

## Method Details

### computeImage

public double[][] computeImage(NeuronSquareMesh2D map)
Creates an image of the `map`.

Specified by:
  `computeImage` in interface `MapVisualization`
Parameters:
  `map` - Map.
Returns:
  a 2D-array (in row major order) representing the property.